summaryrefslogtreecommitdiff
path: root/meta-google/recipes-phosphor/flash
diff options
context:
space:
mode:
authorWilliam A. Kennington III <wak@google.com>2023-06-06 02:33:50 +0300
committerWilliam A. Kennington III <wak@google.com>2023-06-06 10:21:41 +0300
commit981020e6545d2eac6e81adb04a90cf36926ed9e3 (patch)
tree9a25fdb112b3a1dd018b244e707309c22bfc5fce /meta-google/recipes-phosphor/flash
parenta5dd3872cfa717a6e1332b468f23adb3abdc3274 (diff)
downloadopenbmc-981020e6545d2eac6e81adb04a90cf36926ed9e3.tar.xz
meta-google: goolge-key: Fix shellcheck issues
Change-Id: I4ce1830f53932ed674ddacf2f71c66a89c3d19a1 Signed-off-by: William A. Kennington III <wak@google.com>
Diffstat (limited to 'meta-google/recipes-phosphor/flash')
-rwxr-xr-xmeta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh b/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh
index cac229a945..06ccecb7d2 100755
--- a/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh
+++ b/meta-google/recipes-phosphor/flash/google-key/verify-bmc-image.sh
@@ -47,7 +47,8 @@ cleanup() {
test -n "$GNUPGHOME" && rm -rf "$GNUPGHOME"
}
trap cleanup ERR EXIT INT
-export GNUPGHOME="$(mktemp -d)" || exit
+GNUPGHOME="$(mktemp -d)" || exit
+export GNUPGHOME
gpg() {
command gpg --batch --allow-non-selfsigned-uid --no-tty "$@"